<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

$mendel_blog_style = explode('_', mendel_get_theme_option('blog_style'));
$mendel_columns = empty($mendel_blog_style[1]) ? 1 : max(1, $mendel_blog_style[1]);
$mendel_expanded = !mendel_sidebar_present() && mendel_is_on(mendel_get_theme_option('expand_content'));
$mendel_post_format = get_post_format();
$mendel_post_format = empty($mendel_post_format) ? 'standard' : str_replace('post-format-', '', $mendel_post_format);
$mendel_animation = mendel_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_chess post_layout_chess_'.esc_attr($mendel_columns).' post_format_'.esc_attr($mendel_post_format) ); ?>
	<?php echo (!mendel_is_off($mendel_animation) ? ' data-animation="'.esc_attr(mendel_get_animation_classes($mendel_animation)).'"' : ''); ?>>

	<?php
	// Add anchor
	if ($mendel_columns == 1 && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="post_'.esc_attr(get_the_ID()).'" title="'.esc_attr(get_the_title()).'"]');
	}

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	mendel_show_post_featured( array(
											'class' => $mendel_columns == 1 ? 'mendel-full-height' : '',
											'show_no_image' => true,
											'thumb_bg' => true,
											'thumb_size' => mendel_get_thumb_size(
																	strpos(mendel_get_theme_option('body_style'), 'full')!==false
																		? ( $mendel_columns > 1 ? 'huge' : 'original' )
																		: (	$mendel_columns > 2 ? 'big' : 'huge')
																	)
											) 
										);

	?><div class="post_inner"><div class="post_inner_content"><?php 

		?><div class="post_header entry-header"><?php 

			do_action('mendel_action_before_post_meta'); 

			// Post meta
			$mendel_components = mendel_is_inherit(mendel_get_theme_option_from_meta('meta_parts')) 
										? 'categories'.($mendel_columns < 3 ? ',counters' : '').($mendel_columns == 1 ? ',edit' : '')
										: mendel_array_get_keys_by_value(mendel_get_theme_option('meta_parts'));
			$mendel_counters = mendel_is_inherit(mendel_get_theme_option_from_meta('counters')) 
										? 'comments'
										: mendel_array_get_keys_by_value(mendel_get_theme_option('counters'));
			$mendel_post_meta = empty($mendel_components) 
										? '' 
										: mendel_show_post_meta(apply_filters('mendel_filter_post_meta_args', array(
												'components' => $mendel_components,
												'counters' => $mendel_counters,
												'seo' => false,
												'echo' => false
												), $mendel_blog_style[0], $mendel_columns)
											);
			mendel_show_layout($mendel_post_meta);

				do_action('mendel_action_before_post_title');

				// Post title
				the_title( sprintf( '<h3 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
		?></div><!-- .entry-header -->
	
		<div class="post_content entry-content">
			<div class="post_content_inner">
				<?php
				$mendel_show_learn_more = !in_array($mendel_post_format, array('link', 'aside', 'status', 'quote'));
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($mendel_post_format, array('link', 'aside', 'status'))) {
					the_content();
				} else if ($mendel_post_format == 'quote') {
					if (($quote = mendel_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
						mendel_show_layout(wpautop($quote));
					else
						the_excerpt();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
				?>
			</div>
			<?php
			// Post meta
			if (in_array($mendel_post_format, array('link', 'aside', 'status', 'quote'))) {
				mendel_show_layout($mendel_post_meta);
			}
			// More button
			if ( $mendel_show_learn_more ) {
				?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'mendel'); ?></a></p><?php
			}
			?>
		</div><!-- .entry-content -->

	</div></div><!-- .post_inner -->

</article>