<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

$mendel_blog_style = explode('_', mendel_get_theme_option('blog_style'));
$mendel_columns = empty($mendel_blog_style[1]) ? 2 : max(2, $mendel_blog_style[1]);
$mendel_post_format = get_post_format();
$mendel_post_format = empty($mendel_post_format) ? 'standard' : str_replace('post-format-', '', $mendel_post_format);
$mendel_animation = mendel_get_theme_option('blog_animation');
$mendel_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($mendel_columns).' post_format_'.esc_attr($mendel_post_format) ); ?>
	<?php echo (!mendel_is_off($mendel_animation) ? ' data-animation="'.esc_attr(mendel_get_animation_classes($mendel_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($mendel_image[1]) && !empty($mendel_image[2])) echo intval($mendel_image[1]) .'x' . intval($mendel_image[2]); ?>"
	data-src="<?php if (!empty($mendel_image[0])) echo esc_url($mendel_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$mendel_image_hover = 'icon';	//mendel_get_theme_option('image_hover');
	if (in_array($mendel_image_hover, array('icons', 'zoom'))) $mendel_image_hover = 'dots';
	$mendel_components = mendel_is_inherit(mendel_get_theme_option_from_meta('meta_parts')) 
								? 'categories,date,counters,share'
								: mendel_array_get_keys_by_value(mendel_get_theme_option('meta_parts'));
	$mendel_counters = mendel_is_inherit(mendel_get_theme_option_from_meta('counters')) 
								? 'comments'
								: mendel_array_get_keys_by_value(mendel_get_theme_option('counters'));
	mendel_show_post_featured(array(
		'hover' => $mendel_image_hover,
		'thumb_size' => mendel_get_thumb_size( strpos(mendel_get_theme_option('body_style'), 'full')!==false || $mendel_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($mendel_components)
										? mendel_show_post_meta(apply_filters('mendel_filter_post_meta_args', array(
											'components' => $mendel_components,
											'counters' => $mendel_counters,
											'seo' => false,
											'echo' => false
											), $mendel_blog_style[0], $mendel_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'mendel') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>