<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

$mendel_blog_style = explode('_', mendel_get_theme_option('blog_style'));
$mendel_columns = empty($mendel_blog_style[1]) ? 2 : max(2, $mendel_blog_style[1]);
$mendel_post_format = get_post_format();
$mendel_post_format = empty($mendel_post_format) ? 'standard' : str_replace('post-format-', '', $mendel_post_format);
$mendel_animation = mendel_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($mendel_columns).' post_format_'.esc_attr($mendel_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!mendel_is_off($mendel_animation) ? ' data-animation="'.esc_attr(mendel_get_animation_classes($mendel_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$mendel_image_hover = mendel_get_theme_option('image_hover');
	// Featured image
	mendel_show_post_featured(array(
		'thumb_size' => mendel_get_thumb_size(strpos(mendel_get_theme_option('body_style'), 'full')!==false || $mendel_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $mendel_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $mendel_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>