<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

$mendel_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$mendel_post_format = get_post_format();
$mendel_post_format = empty($mendel_post_format) ? 'standard' : str_replace('post-format-', '', $mendel_post_format);
$mendel_animation = mendel_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($mendel_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($mendel_post_format) ); ?>
	<?php echo (!mendel_is_off($mendel_animation) ? ' data-animation="'.esc_attr(mendel_get_animation_classes($mendel_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	mendel_show_post_featured(array(
		'thumb_size' => mendel_get_thumb_size($mendel_columns==1 ? 'big' : ($mendel_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($mendel_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			mendel_show_post_meta(apply_filters('mendel_filter_post_meta_args', array(), 'sticky', $mendel_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>