<?php
/**
 * The Front Page template file.
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0.31
 */

get_header();

// If front-page is a static page
if (get_option('show_on_front') == 'page') {

	// If Front Page Builder is enabled - display sections
	if (mendel_is_on(mendel_get_theme_option('front_page_enabled'))) {
		$mendel_sections = mendel_array_get_keys_by_value(mendel_get_theme_option('front_page_sections'), 1, false);
		if (is_array($mendel_sections)) {
			foreach ($mendel_sections as $mendel_section) {
				get_template_part("front-page/section", $mendel_section);
			}
		}
	
	// Else - display native page content
	} else
		get_template_part('page');

// Else get index template to show posts
} else
	get_template_part('index');

get_footer();
?>