<?php
/* Calculate Fields Form support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mendel_calculated_fields_form_theme_setup9')) {
	add_action( 'after_setup_theme', 'mendel_calculated_fields_form_theme_setup9', 9 );
	function mendel_calculated_fields_form_theme_setup9() {
		if (mendel_exists_calculated_fields_form()) {
			add_action( 'wp_enqueue_scripts', 							'mendel_calculated_fields_form_frontend_scripts', 1100 );
			add_filter( 'mendel_filter_merge_styles',					'mendel_calculated_fields_form_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'mendel_filter_tgmpa_required_plugins',		'mendel_calculated_fields_form_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mendel_calculated_fields_form_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('mendel_filter_tgmpa_required_plugins',	'mendel_calculated_fields_form_tgmpa_required_plugins');
	function mendel_calculated_fields_form_tgmpa_required_plugins($list=array()) {
		if (mendel_storage_isset('required_plugins', 'calculated-fields-form')) {
			$list[] = array(
					'name' 		=> mendel_storage_get_array('required_plugins', 'calculated-fields-form'),
					'slug' 		=> 'calculated-fields-form',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Filter to return the plugin's name
if ( !function_exists( 'mendel_calculated_fields_form_get_plugin_name' ) ) {
	//Handler of the add_filter( 'mendel_filter_get_plugin_name', 'mendel_calculated_fields_form_get_plugin_name' );
	function mendel_calculated_fields_form_get_plugin_name($name, $slug='') {
		return (empty($slug) ? $name . (!empty($name) ? ', ' : '') : '')
				. esc_html__('"Calculated Fields Form"', 'mendel');
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'mendel_exists_calculated_fields_form' ) ) {
	function mendel_exists_calculated_fields_form() {
		return class_exists('CP_SESSION');
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'mendel_calculated_fields_form_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'mendel_calculated_fields_form_frontend_scripts', 1100 );
	function mendel_calculated_fields_form_frontend_scripts() {
		// Remove jquery_ui from frontend
		if (mendel_get_theme_setting('disable_jquery_ui')) {
			global $wp_styles;
			$wp_styles->done[] = 'cpcff_jquery_ui';
		}
		if (mendel_is_on(mendel_get_theme_option('debug_mode')) && mendel_get_file_dir('plugins/calculated-fields-form/calculated-fields-form.css')!='')
			wp_enqueue_style( 'mendel-calculated-fields-form',  mendel_get_file_url('plugins/calculated-fields-form/calculated-fields-form.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'mendel_calculated_fields_form_merge_styles' ) ) {
	//Handler of the add_filter('mendel_filter_merge_styles', 'mendel_calculated_fields_form_merge_styles');
	function mendel_calculated_fields_form_merge_styles($list) {
		$list[] = 'plugins/calculated-fields-form/calculated-fields-form.css';
		return $list;
	}
}
?>