<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mendel_cf7_theme_setup9')) {
	add_action( 'after_setup_theme', 'mendel_cf7_theme_setup9', 9 );
	function mendel_cf7_theme_setup9() {
		
		if (mendel_exists_cf7()) {
			add_action( 'wp_enqueue_scripts', 								'mendel_cf7_frontend_scripts', 1100 );
			add_filter( 'mendel_filter_merge_styles',						'mendel_cf7_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'mendel_filter_tgmpa_required_plugins',			'mendel_cf7_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mendel_cf7_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('mendel_filter_tgmpa_required_plugins',	'mendel_cf7_tgmpa_required_plugins');
	function mendel_cf7_tgmpa_required_plugins($list=array()) {
		if (mendel_storage_isset('required_plugins', 'contact-form-7')) {
			// CF7 plugin
			$list[] = array(
					'name' 		=> mendel_storage_get_array('required_plugins', 'contact-form-7'),
					'slug' 		=> 'contact-form-7',
					'required' 	=> false
			);
			// CF7 extension - datepicker 
			if (!MENDEL_THEME_FREE) {
				$params = array(
					'name' 		=> esc_html__('Contact Form 7 Datepicker', 'mendel'),
					'slug' 		=> 'contact-form-7-datepicker',
					'required' 	=> false
				);
				$path = mendel_get_file_dir('plugins/contact-form-7/contact-form-7-datepicker.zip');
				if ($path != '')
					$params['source'] = $path;
				$list[] = $params;
			}
		}
		return $list;
	}
}



// Check if cf7 installed and activated
if ( !function_exists( 'mendel_exists_cf7' ) ) {
	function mendel_exists_cf7() {
		return class_exists('WPCF7');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'mendel_cf7_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'mendel_cf7_frontend_scripts', 1100 );
	function mendel_cf7_frontend_scripts() {
		if (mendel_is_on(mendel_get_theme_option('debug_mode')) && mendel_get_file_dir('plugins/contact-form-7/contact-form-7.css')!='')
			wp_enqueue_style( 'mendel-contact-form-7',  mendel_get_file_url('plugins/contact-form-7/contact-form-7.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'mendel_cf7_merge_styles' ) ) {
	//Handler of the add_filter('mendel_filter_merge_styles', 'mendel_cf7_merge_styles');
	function mendel_cf7_merge_styles($list) {
		$list[] = 'plugins/contact-form-7/contact-form-7.css';
		return $list;
	}
}
?>