<?php
/* Envato Market support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mendel_envato_market_theme_setup9')) {
	add_action( 'after_setup_theme', 'mendel_envato_market_theme_setup9', 9 );
	function mendel_envato_market_theme_setup9() {
		if (is_admin()) {
			add_filter( 'mendel_filter_tgmpa_required_plugins',		'mendel_envato_market_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mendel_envato_market_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('mendel_filter_tgmpa_required_plugins',	'mendel_envato_market_tgmpa_required_plugins');
	function mendel_envato_market_tgmpa_required_plugins($list=array()) {
		if (mendel_storage_isset('required_plugins', 'envato-market')) {
			$path = mendel_get_file_dir('plugins/envato-market/envato-market.zip');
			$list[] = array(
					'name' 		=> mendel_storage_get_array('required_plugins', 'envato-market'),
					'slug' 		=> 'envato-market',
					'source' 	=> !empty($path) ? $path : 'upload://envato-market.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'mendel_exists_envato_market' ) ) {
	function mendel_exists_envato_market() {
		return class_exists('Envato_Market');
	}
}
?>