<?php
/* Envato WordPress Toolkit support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mendel_envato_wordpress_toolkit_theme_setup9')) {
	add_action( 'after_setup_theme', 'mendel_envato_wordpress_toolkit_theme_setup9', 9 );
	function mendel_envato_wordpress_toolkit_theme_setup9() {
		if (is_admin()) {
			add_filter( 'mendel_filter_tgmpa_required_plugins',		'mendel_envato_wordpress_toolkit_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mendel_envato_wordpress_toolkit_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('mendel_filter_tgmpa_required_plugins',	'mendel_envato_wordpress_toolkit_tgmpa_required_plugins');
	function mendel_envato_wordpress_toolkit_tgmpa_required_plugins($list=array()) {
		if (mendel_storage_isset('required_plugins', 'envato-wordpress-toolkit')) {
			$path = mendel_get_file_dir('plugins/envato-wordpress-toolkit/envato-wordpress-toolkit.zip');
			$list[] = array(
					'name' 		=> mendel_storage_get_array('required_plugins', 'envato-wordpress-toolkit'),
					'slug' 		=> 'envato-wordpress-toolkit',
					'source' 	=> !empty($path) ? $path : 'upload://envato-wordpress-toolkit.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( !function_exists( 'mendel_exists_envato_wordpress_toolkit' ) ) {
	function mendel_exists_envato_wordpress_toolkit() {
		return class_exists('Envato_WP_Toolkit');
	}
}
?>