<?php
/* MP Timetable support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mendel_mptt_theme_setup9')) {
	add_action( 'after_setup_theme', 'mendel_mptt_theme_setup9', 9 );
	function mendel_mptt_theme_setup9() {
		if (mendel_exists_mptt()) {
			add_action( 'wp_enqueue_scripts', 						'mendel_mptt_frontend_scripts', 1100 );
			add_filter( 'mendel_filter_merge_styles',				'mendel_mptt_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'mendel_filter_tgmpa_required_plugins',	'mendel_mptt_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mendel_mptt_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('mendel_filter_tgmpa_required_plugins',	'mendel_mptt_tgmpa_required_plugins');
	function mendel_mptt_tgmpa_required_plugins($list=array()) {
		if (mendel_storage_isset('required_plugins', 'mp-timetable')) {
			$list[] = array(
					'name' 		=> mendel_storage_get_array('required_plugins', 'mp-timetable'),
					'slug' 		=> 'mp-timetable',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if plugin is installed and activated
if ( !function_exists( 'mendel_exists_mp_timetable' ) ) {
	function mendel_exists_mptt() {
		return class_exists('Mp_Time_Table');
	}
}
	
// Enqueue plugin's custom styles
if ( !function_exists( 'mendel_mptt_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'mendel_mptt_frontend_scripts', 1100 );
	function mendel_mptt_frontend_scripts() {
		if (mendel_exists_mptt()) {
			if (mendel_is_on(mendel_get_theme_option('debug_mode')) && mendel_get_file_dir('plugins/mp-timetable/mp-timetable.css')!='')
				wp_enqueue_style( 'mendel-mp-timetable',  mendel_get_file_url('plugins/mp-timetable/mp-timetable.css'), array(), null );
		}
	}
}
	
// Merge custom styles
if ( !function_exists( 'mendel_mptt_merge_styles' ) ) {
	//Handler of the add_filter('mendel_filter_merge_styles', 'mendel_mptt_merge_styles');
	function mendel_mptt_merge_styles($list) {
		$list[] = 'plugins/mp-timetable/mp-timetable.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (mendel_exists_mptt()) { require_once MENDEL_THEME_DIR . 'plugins/mp-timetable/mp-timetable.styles.php'; }
?>