<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('mendel_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'mendel_revslider_theme_setup9', 9 );
	function mendel_revslider_theme_setup9() {
		if (mendel_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'mendel_revslider_frontend_scripts', 1100 );
			add_filter( 'mendel_filter_merge_styles',			'mendel_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'mendel_filter_tgmpa_required_plugins','mendel_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'mendel_revslider_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('mendel_filter_tgmpa_required_plugins',	'mendel_revslider_tgmpa_required_plugins');
	function mendel_revslider_tgmpa_required_plugins($list=array()) {
		if (mendel_storage_isset('required_plugins', 'revslider')) {
			$path = mendel_get_file_dir('plugins/revslider/revslider.zip');
			$list[] = array(
					'name' 		=> mendel_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
			);
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'mendel_exists_revslider' ) ) {
	function mendel_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'mendel_revslider_frontend_scripts' ) ) {
	//Handler of the add_action( 'wp_enqueue_scripts', 'mendel_revslider_frontend_scripts', 1100 );
	function mendel_revslider_frontend_scripts() {
		if (mendel_is_on(mendel_get_theme_option('debug_mode')) && mendel_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'mendel-revslider',  mendel_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'mendel_revslider_merge_styles' ) ) {
	//Handler of the add_filter('mendel_filter_merge_styles', 'mendel_revslider_merge_styles');
	function mendel_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>