<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

if (mendel_sidebar_present()) {
	ob_start();
	$mendel_sidebar_name = mendel_get_theme_option('sidebar_widgets');
	mendel_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($mendel_sidebar_name) ) {
		dynamic_sidebar($mendel_sidebar_name);
	}
	$mendel_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($mendel_out)) {
		$mendel_sidebar_position = mendel_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($mendel_sidebar_position); ?> widget_area<?php if (!mendel_is_inherit(mendel_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(mendel_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'mendel_action_before_sidebar' );
				mendel_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $mendel_out));
				do_action( 'mendel_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>