<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0.10
 */

// Copyright area
$mendel_footer_scheme =  mendel_is_inherit(mendel_get_theme_option('footer_scheme')) ? mendel_get_theme_option('color_scheme') : mendel_get_theme_option('footer_scheme');
$mendel_copyright_scheme = mendel_is_inherit(mendel_get_theme_option('copyright_scheme')) ? $mendel_footer_scheme : mendel_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($mendel_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$mendel_copyright = mendel_prepare_macros(mendel_get_theme_option('copyright'));
				if (!empty($mendel_copyright)) {
					// Replace {date_format} on the current date in the specified format
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $mendel_copyright, $mendel_matches)) {
						$mendel_copyright = str_replace($mendel_matches[1], date(str_replace(array('{', '}'), '', $mendel_matches[1])), $mendel_copyright);
					}
					// Display copyright
					echo wp_kses_data(nl2br($mendel_copyright));
				}
			?></div>
		</div>
	</div>
</div>
