<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0.10
 */

$mendel_footer_scheme =  mendel_is_inherit(mendel_get_theme_option('footer_scheme')) ? mendel_get_theme_option('color_scheme') : mendel_get_theme_option('footer_scheme');
$mendel_footer_id = str_replace('footer-custom-', '', mendel_get_theme_option("footer_style"));
if ((int) $mendel_footer_id == 0) {
	$mendel_footer_id = mendel_get_post_id(array(
												'name' => $mendel_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUT_PT') ? TRX_ADDONS_CPT_LAYOUT_PT : 'cpt_layouts'
												)
											);
} else {
    $mendel_footer_id = apply_filters('trx_addons_filter_get_translated_layout', $mendel_footer_id);
}
$mendel_footer_meta = get_post_meta($mendel_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($mendel_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($mendel_footer_id))); 
						if (!empty($mendel_footer_meta['margin']) != '') 
							echo ' '.esc_attr(mendel_add_inline_css_class('margin-top: '.esc_attr(mendel_prepare_css_value($mendel_footer_meta['margin'])).';'));
						?> scheme_<?php echo esc_attr($mendel_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('mendel_action_show_layout', $mendel_footer_id);
	?>
</footer><!-- /.footer_wrap -->
