<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0.10
 */

// Logo
if (mendel_is_on(mendel_get_theme_option('logo_in_footer'))) {
	$mendel_logo_image = '';
	if (mendel_get_retina_multiplier(2) > 1)
		$mendel_logo_image = mendel_get_theme_option( 'logo_footer_retina' );
	if (empty($mendel_logo_image)) 
		$mendel_logo_image = mendel_get_theme_option( 'logo_footer' );
	$mendel_logo_text   = get_bloginfo( 'name' );
	if (!empty($mendel_logo_image) || !empty($mendel_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($mendel_logo_image)) {
					$mendel_attr = mendel_getimagesize($mendel_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($mendel_logo_image).'" class="logo_footer_image" '.(!empty($mendel_attr[3]) ? sprintf(' %s', $mendel_attr[3]) : '').'></a>' ;
				} else if (!empty($mendel_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($mendel_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>