<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0.10
 */

// Footer sidebar
$mendel_footer_name = mendel_get_theme_option('footer_widgets');
$mendel_footer_present = !mendel_is_off($mendel_footer_name) && is_active_sidebar($mendel_footer_name);
if ($mendel_footer_present) { 
	mendel_storage_set('current_sidebar', 'footer');
	$mendel_footer_wide = mendel_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($mendel_footer_name) ) {
		dynamic_sidebar($mendel_footer_name);
	}
	$mendel_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($mendel_out)) {
		$mendel_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $mendel_out);
		$mendel_need_columns = true;	//or check: strpos($mendel_out, 'columns_wrap')===false;
		if ($mendel_need_columns) {
			$mendel_columns = max(0, (int) mendel_get_theme_option('footer_columns'));
			if ($mendel_columns == 0) $mendel_columns = min(4, max(1, substr_count($mendel_out, '<aside ')));
			if ($mendel_columns > 1)
				$mendel_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($mendel_columns).' widget ', $mendel_out);
			else
				$mendel_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($mendel_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$mendel_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($mendel_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'mendel_action_before_sidebar' );
				mendel_show_layout($mendel_out);
				do_action( 'mendel_action_after_sidebar' );
				if ($mendel_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$mendel_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>