<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0.06
 */


$mendel_header_css = '';
$mendel_header_image = get_header_image();
$mendel_header_video =mendel_get_header_video();
if (!empty($mendel_header_image) &&mendel_trx_addons_featured_image_override(is_singular() ||mendel_storage_isset('blog_archive') || is_category())) {
	$mendel_header_image =mendel_get_current_mode_image($mendel_header_image);
}

$mendel_header_id = str_replace('header-custom-', '', mendel_get_theme_option("header_style"));
if ((int) $mendel_header_id == 0) {
	$mendel_header_id = mendel_get_post_id(array(
												'name' => $mendel_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUT_PT') ? TRX_ADDONS_CPT_LAYOUT_PT : 'cpt_layouts'
												)
											);
} else {
    $mendel_header_id = apply_filters('trx_addons_filter_get_translated_layout', $mendel_header_id);
}
$mendel_header_meta = get_post_meta($mendel_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($mendel_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($mendel_header_id)));
				echo !empty($mendel_header_image) || !empty($mendel_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($mendel_header_video!='') 
					echo ' with_bg_video';
				if ($mendel_header_image!='') 
					echo ' '.esc_attr(mendel_add_inline_css_class('background-image: url('.esc_url($mendel_header_image).');'));
				if (!empty($mendel_header_meta['margin']) != '') 
					echo ' '.esc_attr(mendel_add_inline_css_class('margin-bottom: '.esc_attr(mendel_prepare_css_value($mendel_header_meta['margin'])).';'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (mendel_is_on(mendel_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight mendel-full-height';
				?> scheme_<?php echo esc_attr(mendel_is_inherit(mendel_get_theme_option('header_scheme')) 
												? mendel_get_theme_option('color_scheme') 
												: mendel_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($mendel_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('mendel_action_show_layout', $mendel_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>