<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

$mendel_args = get_query_var('mendel_logo_args');

// Site logo
$mendel_logo_image  = mendel_get_logo_image(isset($mendel_args['type']) ? $mendel_args['type'] : '');
$mendel_logo_text   = mendel_is_on(mendel_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$mendel_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($mendel_logo_image) || !empty($mendel_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($mendel_logo_image)) {
			$mendel_attr = mendel_getimagesize($mendel_logo_image);
			echo '<img src="'.esc_url($mendel_logo_image).'" '.(!empty($mendel_attr[3]) ? sprintf(' %s', $mendel_attr[3]) : '').'>';
		} else {
			mendel_show_layout(mendel_prepare_macros($mendel_logo_text), '<span class="logo_text">', '</span>');
			mendel_show_layout(mendel_prepare_macros($mendel_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>