<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(mendel_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('mendel_logo_args', array('type' => 'mobile'));
		get_template_part( 'templates/header-logo' );
		set_query_var('mendel_logo_args', array());

		// Mobile menu
		$mendel_menu_mobile = mendel_get_nav_menu('menu_mobile');
		if (empty($mendel_menu_mobile)) {
			$mendel_menu_mobile = apply_filters('mendel_filter_get_mobile_menu', '');
			if (empty($mendel_menu_mobile)) $mendel_menu_mobile = mendel_get_nav_menu('menu_main');
			if (empty($mendel_menu_mobile)) $mendel_menu_mobile = mendel_get_nav_menu();
		}
		if (!empty($mendel_menu_mobile)) {
			if (!empty($mendel_menu_mobile))
				$mendel_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$mendel_menu_mobile
					);
			if (strpos($mendel_menu_mobile, '<nav ')===false)
				$mendel_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $mendel_menu_mobile);
			mendel_show_layout(apply_filters('mendel_filter_menu_mobile_layout', $mendel_menu_mobile));
		}

		// Search field
		do_action('mendel_action_search', 'normal', 'search_mobile', false);
		
		// Social icons
		mendel_show_layout(mendel_get_socials_links(), '<div class="socials_mobile">', '</div>');
		?>
	</div>
</div>
