<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

// Page (category, tag, archive, author) title

if ( mendel_need_page_title() ) {
	mendel_sc_layouts_showed('title', true);
	mendel_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								mendel_show_post_meta(apply_filters('mendel_filter_post_meta_args', array(
									'components' => 'categories,date,counters,edit',
									'counters' => 'views,comments,likes',
									'seo' => true
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$mendel_blog_title = mendel_get_blog_title();
							$mendel_blog_title_text = $mendel_blog_title_class = $mendel_blog_title_link = $mendel_blog_title_link_text = '';
							if (is_array($mendel_blog_title)) {
								$mendel_blog_title_text = $mendel_blog_title['text'];
								$mendel_blog_title_class = !empty($mendel_blog_title['class']) ? ' '.$mendel_blog_title['class'] : '';
								$mendel_blog_title_link = !empty($mendel_blog_title['link']) ? $mendel_blog_title['link'] : '';
								$mendel_blog_title_link_text = !empty($mendel_blog_title['link_text']) ? $mendel_blog_title['link_text'] : '';
							} else
								$mendel_blog_title_text = $mendel_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($mendel_blog_title_class); ?>"><?php
								$mendel_top_icon = mendel_get_category_icon();
								if (!empty($mendel_top_icon)) {
									$mendel_attr = mendel_getimagesize($mendel_top_icon);
									?><img src="<?php echo esc_url($mendel_top_icon); ?>"  <?php if (!empty($mendel_attr[3])) mendel_show_layout($mendel_attr[3]);?>><?php
								}
								echo wp_kses_data($mendel_blog_title_text);
							?></h1>
							<?php
							if (!empty($mendel_blog_title_link) && !empty($mendel_blog_title_link_text)) {
								?><a href="<?php echo esc_url($mendel_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($mendel_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'mendel_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>