<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0.14
 */
$mendel_header_video = mendel_get_header_video();
$mendel_embed_video = '';
if (!empty($mendel_header_video) && !mendel_is_from_uploads($mendel_header_video)) {
	if (mendel_is_youtube_url($mendel_header_video) && preg_match('/[=\/]([^=\/]*)$/', $mendel_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$mendel_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($mendel_header_video) . '[/embed]' ));
			$mendel_embed_video = mendel_make_video_autoplay($mendel_embed_video);
		} else {
			$mendel_header_video = str_replace('/watch?v=', '/embed/', $mendel_header_video);
			$mendel_header_video = mendel_add_to_url($mendel_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$mendel_embed_video = '<iframe src="' . esc_url($mendel_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php mendel_show_layout($mendel_embed_video); ?></div><?php
	}
}
?>