<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

// Header sidebar
$mendel_header_name = mendel_get_theme_option('header_widgets');
$mendel_header_present = !mendel_is_off($mendel_header_name) && is_active_sidebar($mendel_header_name);
if ($mendel_header_present) { 
	mendel_storage_set('current_sidebar', 'header');
	$mendel_header_wide = mendel_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($mendel_header_name) ) {
		dynamic_sidebar($mendel_header_name);
	}
	$mendel_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($mendel_widgets_output)) {
		$mendel_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $mendel_widgets_output);
		$mendel_need_columns = strpos($mendel_widgets_output, 'columns_wrap')===false;
		if ($mendel_need_columns) {
			$mendel_columns = max(0, (int) mendel_get_theme_option('header_columns'));
			if ($mendel_columns == 0) $mendel_columns = min(6, max(1, substr_count($mendel_widgets_output, '<aside ')));
			if ($mendel_columns > 1)
				$mendel_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($mendel_columns).' widget ', $mendel_widgets_output);
			else
				$mendel_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($mendel_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$mendel_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($mendel_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'mendel_action_before_sidebar' );
				mendel_show_layout($mendel_widgets_output);
				do_action( 'mendel_action_after_sidebar' );
				if ($mendel_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$mendel_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>