<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage MENDEL
 * @since MENDEL 1.0
 */

$mendel_post_id    = get_the_ID();
$mendel_post_date  = mendel_get_date();
$mendel_post_title = get_the_title();
$mendel_post_link  = get_permalink();
$mendel_post_author_id   = get_the_author_meta('ID');
$mendel_post_author_name = get_the_author_meta('display_name');
$mendel_post_author_url  = get_author_posts_url($mendel_post_author_id, '');

$mendel_args = get_query_var('mendel_args_widgets_posts');
$mendel_show_date = isset($mendel_args['show_date']) ? (int) $mendel_args['show_date'] : 1;
$mendel_show_image = isset($mendel_args['show_image']) ? (int) $mendel_args['show_image'] : 1;
$mendel_show_author = isset($mendel_args['show_author']) ? (int) $mendel_args['show_author'] : 1;
$mendel_show_counters = isset($mendel_args['show_counters']) ? (int) $mendel_args['show_counters'] : 1;
$mendel_show_categories = isset($mendel_args['show_categories']) ? (int) $mendel_args['show_categories'] : 1;

$mendel_output = mendel_storage_get('mendel_output_widgets_posts');

$mendel_post_counters_output = '';
if ( $mendel_show_counters ) {
	$mendel_post_counters_output = '<span class="post_info_item post_info_counters">'
								. mendel_get_post_counters('comments')
							. '</span>';
}


$mendel_output .= '<article class="post_item with_thumb">';

if ($mendel_show_image) {
	$mendel_post_thumb = get_the_post_thumbnail($mendel_post_id, mendel_get_thumb_size('tiny'), array(
		'alt' => get_the_title()
	));
	if ($mendel_post_thumb) $mendel_output .= '<div class="post_thumb">' . ($mendel_post_link ? '<a href="' . esc_url($mendel_post_link) . '">' : '') . ($mendel_post_thumb) . ($mendel_post_link ? '</a>' : '') . '</div>';
}

$mendel_output .= '<div class="post_content">'
			. ($mendel_show_categories 
					? '<div class="post_categories">'
						. mendel_get_post_categories()
						. $mendel_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($mendel_post_link ? '<a href="' . esc_url($mendel_post_link) . '">' : '') . ($mendel_post_title) . ($mendel_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('mendel_filter_get_post_info', 
								'<div class="post_info">'
									. ($mendel_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($mendel_post_link ? '<a href="' . esc_url($mendel_post_link) . '" class="post_info_date">' : '') 
											. esc_html($mendel_post_date) 
											. ($mendel_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($mendel_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'mendel') . ' ' 
											. ($mendel_post_link ? '<a href="' . esc_url($mendel_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($mendel_post_author_name) 
											. ($mendel_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$mendel_show_categories && $mendel_post_counters_output
										? $mendel_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
mendel_storage_set('mendel_output_widgets_posts', $mendel_output);
?>